しょぼしょぼプログラマ雑記

自分のための備忘録。 開発記録など掲載してます。 質問・ご意見・ご感想等はTwitter ( https://twitter.com/yun_hokuto ) までお気軽にどうぞ。

CocoaPodsでライブラリのインストールに失敗する

タイトルの通り、CocoaPodsでライブラリのインストールをしようとおもったのですが、

Unable to locate the executable `hg` 

こんなエラーが出てしまい、インストール出来ませんでした

この内容、あまり日本語の情報が無いので、ここに記載しておきます


エラー詳細

エラーの内容を要約すると、下記のような内容になります。

インストールしようとしているライブラリは`hg(Mercurial)`を必要としていますが、
あなたのPCに入ってませんので、ライブラリをインストールできません

解決方法

PCにMercurialをインストールしてから実行すれば解決ですね

というわけでターミナルを起動してインストールコマンドを実行します

brew install mercurial

※sudoは不要

これだけです

これで無事にインストール出来ました